%%     Copyright (C) 2010, Asier Azkuenaga
%%     This program is free software: you can redistribute it and/or modify
%%     it under the terms of the GNU General Public License as published by
%%     the Free Software Foundation, either version 3 of the License, or
%%     (at your option) any later version.

%%     This program is distributed in the hope that it will be useful,
%%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%%     GNU General Public License for more details.

%%     You should have received a copy of the GNU General Public License
%%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

-module(nsc_to_ascii).
-export([convert_vmg_to_txt/1]).


convert_vmg_to_txt(PathToFolder)->
    %%get all the svg files in the folder
    L=get_list_of_full_path(PathToFolder),
    lists:map(fun(FullPath)-> 
		      B=read_file_to_binary(FullPath),
		      write_file(filter_file(B),get_new_extension(FullPath))
	      end,L).
    

write_file(Binary,Path)->
    file:write_file(Path,Binary).
    
filter_file(Binary)->
    filter_file(Binary,<<>>).
filter_file(<<>>,Acc)->
    Acc;
filter_file(<<0,Rest/binary>>,Acc)->
    filter_file(Rest,Acc);
filter_file(<<B:1/binary,Rest/binary>>,Acc)->
    filter_file(Rest,<<Acc/binary,B/binary>>).

read_file_to_binary(Path)->
    {ok,Binary}=file:read_file(Path),
    Binary.

get_list_of_full_path(DirectoryPath)->
    {ok,L}=file:list_dir(DirectoryPath),
    lists:map(fun(FilePath)->
		      DirectoryPath++"/"++FilePath
	      end,L).

get_new_extension(FullPath)->
    Length=length(FullPath),
    case lists:sublist(FullPath,Length-2,Length) of
	"vmg" ->    lists:sublist(FullPath,1,Length-3)++"txt";
	_ -> ""
    end.


